package edu.uiuc.dsi;

public class CoreThread implements Runnable
{
	private Core objCore;
	private TCPSocket objTCPSocket;
	private Packet objPacket;
	
	public CoreThread(Core core, TCPSocket sender, Packet packet)
	{
		objCore = core;
		objTCPSocket = sender;
		objPacket = packet;
	}
	
	@Override
	public void run()
	{
		objCore.deliverPacket(objTCPSocket, objPacket);
	}
}
