import java.io.*;
import java.util.Timer;

import edu.uiuc.dsi.Packet;
import edu.uiuc.dsi.TCPSocket;
import edu.uiuc.dsi.apps.DistributedObject;


public class MyProtocol extends edu.uiuc.dsi.Core
{
	private DistributedObject objDistributedObject;
	
	public MyProtocol(int port, String name) throws IOException
	{
		super(port, name);
	}
	
	public void setDistributedObjectClass(DistributedObject objDistributedObject)
	{
		this.objDistributedObject = objDistributedObject;
	}

	@Override
	public void processPacket(TCPSocket sender, Packet packet)
	{
		if ((new String(packet.getData())).equals("start"))
		{
			MyTimerEvent objMyTimerEvent = new MyTimerEvent(objDistributedObject);
			Timer objTimer = new Timer();
			objTimer.scheduleAtFixedRate(objMyTimerEvent, 0, 1000);
		}
		
	}
}
