import java.util.Random;
import java.util.TimerTask;

import edu.uiuc.dsi.apps.DistributedObject;


public class MyTimerEvent extends TimerTask
{
	private Random objRandom = new Random();
	private DistributedObject objDistributedObject;
	
	public MyTimerEvent(DistributedObject objDistributedObject)
	{
		this.objDistributedObject = objDistributedObject;
	}
	
	@Override
	public void run()
	{
		System.out.println("[MyTimerEvent] Timer ticked.");
		
		if (objRandom.nextInt(2) == 0)
		{
			try
			{
				MyToken objToken = (MyToken)objDistributedObject.requestObject();
				objToken.update();
				objDistributedObject.setObject(objToken); //TODO: Likely not necessary.
				
				objDistributedObject.releaseObject();
			}
			catch (Exception e)
			{
				e.printStackTrace();
			}
		}
	}

}
